Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network187.40.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
187.40.0.0
Broadcast address
187.47.255.255
First usable
187.40.0.1
Last usable
187.47.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex BB280000 · Integer 3139960832 to 3140485119
Reverse DNS zones
40.187.in-addr.arpa
41.187.in-addr.arpa
42.187.in-addr.arpa
43.187.in-addr.arpa
44.187.in-addr.arpa
45.187.in-addr.arpa
46.187.in-addr.arpa
47.187.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111011.00101000.00000000.00000000187.40.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10111011.00101000.00000000.00000000187.40.0.0
Broadcast10111011.00101111.11111111.11111111187.47.255.255
Split into smaller subnets/24

187.40.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1187.40.0.0/24187.40.0.1 to 187.40.0.254187.40.0.255254
2187.40.1.0/24187.40.1.1 to 187.40.1.254187.40.1.255254
3187.40.2.0/24187.40.2.1 to 187.40.2.254187.40.2.255254
4187.40.3.0/24187.40.3.1 to 187.40.3.254187.40.3.255254
5187.40.4.0/24187.40.4.1 to 187.40.4.254187.40.4.255254
6187.40.5.0/24187.40.5.1 to 187.40.5.254187.40.5.255254
7187.40.6.0/24187.40.6.1 to 187.40.6.254187.40.6.255254
8187.40.7.0/24187.40.7.1 to 187.40.7.254187.40.7.255254
9187.40.8.0/24187.40.8.1 to 187.40.8.254187.40.8.255254
10187.40.9.0/24187.40.9.1 to 187.40.9.254187.40.9.255254
11187.40.10.0/24187.40.10.1 to 187.40.10.254187.40.10.255254
12187.40.11.0/24187.40.11.1 to 187.40.11.254187.40.11.255254
13187.40.12.0/24187.40.12.1 to 187.40.12.254187.40.12.255254
14187.40.13.0/24187.40.13.1 to 187.40.13.254187.40.13.255254
15187.40.14.0/24187.40.14.1 to 187.40.14.254187.40.14.255254
16187.40.15.0/24187.40.15.1 to 187.40.15.254187.40.15.255254
17187.40.16.0/24187.40.16.1 to 187.40.16.254187.40.16.255254
18187.40.17.0/24187.40.17.1 to 187.40.17.254187.40.17.255254
19187.40.18.0/24187.40.18.1 to 187.40.18.254187.40.18.255254
20187.40.19.0/24187.40.19.1 to 187.40.19.254187.40.19.255254
21187.40.20.0/24187.40.20.1 to 187.40.20.254187.40.20.255254
22187.40.21.0/24187.40.21.1 to 187.40.21.254187.40.21.255254
23187.40.22.0/24187.40.22.1 to 187.40.22.254187.40.22.255254
24187.40.23.0/24187.40.23.1 to 187.40.23.254187.40.23.255254
25187.40.24.0/24187.40.24.1 to 187.40.24.254187.40.24.255254
26187.40.25.0/24187.40.25.1 to 187.40.25.254187.40.25.255254
27187.40.26.0/24187.40.26.1 to 187.40.26.254187.40.26.255254
28187.40.27.0/24187.40.27.1 to 187.40.27.254187.40.27.255254
29187.40.28.0/24187.40.28.1 to 187.40.28.254187.40.28.255254
30187.40.29.0/24187.40.29.1 to 187.40.29.254187.40.29.255254
31187.40.30.0/24187.40.30.1 to 187.40.30.254187.40.30.255254
32187.40.31.0/24187.40.31.1 to 187.40.31.254187.40.31.255254
33187.40.32.0/24187.40.32.1 to 187.40.32.254187.40.32.255254
34187.40.33.0/24187.40.33.1 to 187.40.33.254187.40.33.255254
35187.40.34.0/24187.40.34.1 to 187.40.34.254187.40.34.255254
36187.40.35.0/24187.40.35.1 to 187.40.35.254187.40.35.255254
37187.40.36.0/24187.40.36.1 to 187.40.36.254187.40.36.255254
38187.40.37.0/24187.40.37.1 to 187.40.37.254187.40.37.255254
39187.40.38.0/24187.40.38.1 to 187.40.38.254187.40.38.255254
40187.40.39.0/24187.40.39.1 to 187.40.39.254187.40.39.255254
41187.40.40.0/24187.40.40.1 to 187.40.40.254187.40.40.255254
42187.40.41.0/24187.40.41.1 to 187.40.41.254187.40.41.255254
43187.40.42.0/24187.40.42.1 to 187.40.42.254187.40.42.255254
44187.40.43.0/24187.40.43.1 to 187.40.43.254187.40.43.255254
45187.40.44.0/24187.40.44.1 to 187.40.44.254187.40.44.255254
46187.40.45.0/24187.40.45.1 to 187.40.45.254187.40.45.255254
47187.40.46.0/24187.40.46.1 to 187.40.46.254187.40.46.255254
48187.40.47.0/24187.40.47.1 to 187.40.47.254187.40.47.255254
49187.40.48.0/24187.40.48.1 to 187.40.48.254187.40.48.255254
50187.40.49.0/24187.40.49.1 to 187.40.49.254187.40.49.255254
51187.40.50.0/24187.40.50.1 to 187.40.50.254187.40.50.255254
52187.40.51.0/24187.40.51.1 to 187.40.51.254187.40.51.255254
53187.40.52.0/24187.40.52.1 to 187.40.52.254187.40.52.255254
54187.40.53.0/24187.40.53.1 to 187.40.53.254187.40.53.255254
55187.40.54.0/24187.40.54.1 to 187.40.54.254187.40.54.255254
56187.40.55.0/24187.40.55.1 to 187.40.55.254187.40.55.255254
57187.40.56.0/24187.40.56.1 to 187.40.56.254187.40.56.255254
58187.40.57.0/24187.40.57.1 to 187.40.57.254187.40.57.255254
59187.40.58.0/24187.40.58.1 to 187.40.58.254187.40.58.255254
60187.40.59.0/24187.40.59.1 to 187.40.59.254187.40.59.255254
61187.40.60.0/24187.40.60.1 to 187.40.60.254187.40.60.255254
62187.40.61.0/24187.40.61.1 to 187.40.61.254187.40.61.255254
63187.40.62.0/24187.40.62.1 to 187.40.62.254187.40.62.255254
64187.40.63.0/24187.40.63.1 to 187.40.63.254187.40.63.255254
65187.40.64.0/24187.40.64.1 to 187.40.64.254187.40.64.255254
66187.40.65.0/24187.40.65.1 to 187.40.65.254187.40.65.255254
67187.40.66.0/24187.40.66.1 to 187.40.66.254187.40.66.255254
68187.40.67.0/24187.40.67.1 to 187.40.67.254187.40.67.255254
69187.40.68.0/24187.40.68.1 to 187.40.68.254187.40.68.255254
70187.40.69.0/24187.40.69.1 to 187.40.69.254187.40.69.255254
71187.40.70.0/24187.40.70.1 to 187.40.70.254187.40.70.255254
72187.40.71.0/24187.40.71.1 to 187.40.71.254187.40.71.255254
73187.40.72.0/24187.40.72.1 to 187.40.72.254187.40.72.255254
74187.40.73.0/24187.40.73.1 to 187.40.73.254187.40.73.255254
75187.40.74.0/24187.40.74.1 to 187.40.74.254187.40.74.255254
76187.40.75.0/24187.40.75.1 to 187.40.75.254187.40.75.255254
77187.40.76.0/24187.40.76.1 to 187.40.76.254187.40.76.255254
78187.40.77.0/24187.40.77.1 to 187.40.77.254187.40.77.255254
79187.40.78.0/24187.40.78.1 to 187.40.78.254187.40.78.255254
80187.40.79.0/24187.40.79.1 to 187.40.79.254187.40.79.255254
81187.40.80.0/24187.40.80.1 to 187.40.80.254187.40.80.255254
82187.40.81.0/24187.40.81.1 to 187.40.81.254187.40.81.255254
83187.40.82.0/24187.40.82.1 to 187.40.82.254187.40.82.255254
84187.40.83.0/24187.40.83.1 to 187.40.83.254187.40.83.255254
85187.40.84.0/24187.40.84.1 to 187.40.84.254187.40.84.255254
86187.40.85.0/24187.40.85.1 to 187.40.85.254187.40.85.255254
87187.40.86.0/24187.40.86.1 to 187.40.86.254187.40.86.255254
88187.40.87.0/24187.40.87.1 to 187.40.87.254187.40.87.255254
89187.40.88.0/24187.40.88.1 to 187.40.88.254187.40.88.255254
90187.40.89.0/24187.40.89.1 to 187.40.89.254187.40.89.255254
91187.40.90.0/24187.40.90.1 to 187.40.90.254187.40.90.255254
92187.40.91.0/24187.40.91.1 to 187.40.91.254187.40.91.255254
93187.40.92.0/24187.40.92.1 to 187.40.92.254187.40.92.255254
94187.40.93.0/24187.40.93.1 to 187.40.93.254187.40.93.255254
95187.40.94.0/24187.40.94.1 to 187.40.94.254187.40.94.255254
96187.40.95.0/24187.40.95.1 to 187.40.95.254187.40.95.255254
97187.40.96.0/24187.40.96.1 to 187.40.96.254187.40.96.255254
98187.40.97.0/24187.40.97.1 to 187.40.97.254187.40.97.255254
99187.40.98.0/24187.40.98.1 to 187.40.98.254187.40.98.255254
100187.40.99.0/24187.40.99.1 to 187.40.99.254187.40.99.255254
101187.40.100.0/24187.40.100.1 to 187.40.100.254187.40.100.255254
102187.40.101.0/24187.40.101.1 to 187.40.101.254187.40.101.255254
103187.40.102.0/24187.40.102.1 to 187.40.102.254187.40.102.255254
104187.40.103.0/24187.40.103.1 to 187.40.103.254187.40.103.255254
105187.40.104.0/24187.40.104.1 to 187.40.104.254187.40.104.255254
106187.40.105.0/24187.40.105.1 to 187.40.105.254187.40.105.255254
107187.40.106.0/24187.40.106.1 to 187.40.106.254187.40.106.255254
108187.40.107.0/24187.40.107.1 to 187.40.107.254187.40.107.255254
109187.40.108.0/24187.40.108.1 to 187.40.108.254187.40.108.255254
110187.40.109.0/24187.40.109.1 to 187.40.109.254187.40.109.255254
111187.40.110.0/24187.40.110.1 to 187.40.110.254187.40.110.255254
112187.40.111.0/24187.40.111.1 to 187.40.111.254187.40.111.255254
113187.40.112.0/24187.40.112.1 to 187.40.112.254187.40.112.255254
114187.40.113.0/24187.40.113.1 to 187.40.113.254187.40.113.255254
115187.40.114.0/24187.40.114.1 to 187.40.114.254187.40.114.255254
116187.40.115.0/24187.40.115.1 to 187.40.115.254187.40.115.255254
117187.40.116.0/24187.40.116.1 to 187.40.116.254187.40.116.255254
118187.40.117.0/24187.40.117.1 to 187.40.117.254187.40.117.255254
119187.40.118.0/24187.40.118.1 to 187.40.118.254187.40.118.255254
120187.40.119.0/24187.40.119.1 to 187.40.119.254187.40.119.255254
121187.40.120.0/24187.40.120.1 to 187.40.120.254187.40.120.255254
122187.40.121.0/24187.40.121.1 to 187.40.121.254187.40.121.255254
123187.40.122.0/24187.40.122.1 to 187.40.122.254187.40.122.255254
124187.40.123.0/24187.40.123.1 to 187.40.123.254187.40.123.255254
125187.40.124.0/24187.40.124.1 to 187.40.124.254187.40.124.255254
126187.40.125.0/24187.40.125.1 to 187.40.125.254187.40.125.255254
127187.40.126.0/24187.40.126.1 to 187.40.126.254187.40.126.255254
128187.40.127.0/24187.40.127.1 to 187.40.127.254187.40.127.255254
129187.40.128.0/24187.40.128.1 to 187.40.128.254187.40.128.255254
130187.40.129.0/24187.40.129.1 to 187.40.129.254187.40.129.255254
131187.40.130.0/24187.40.130.1 to 187.40.130.254187.40.130.255254
132187.40.131.0/24187.40.131.1 to 187.40.131.254187.40.131.255254
133187.40.132.0/24187.40.132.1 to 187.40.132.254187.40.132.255254
134187.40.133.0/24187.40.133.1 to 187.40.133.254187.40.133.255254
135187.40.134.0/24187.40.134.1 to 187.40.134.254187.40.134.255254
136187.40.135.0/24187.40.135.1 to 187.40.135.254187.40.135.255254
137187.40.136.0/24187.40.136.1 to 187.40.136.254187.40.136.255254
138187.40.137.0/24187.40.137.1 to 187.40.137.254187.40.137.255254
139187.40.138.0/24187.40.138.1 to 187.40.138.254187.40.138.255254
140187.40.139.0/24187.40.139.1 to 187.40.139.254187.40.139.255254
141187.40.140.0/24187.40.140.1 to 187.40.140.254187.40.140.255254
142187.40.141.0/24187.40.141.1 to 187.40.141.254187.40.141.255254
143187.40.142.0/24187.40.142.1 to 187.40.142.254187.40.142.255254
144187.40.143.0/24187.40.143.1 to 187.40.143.254187.40.143.255254
145187.40.144.0/24187.40.144.1 to 187.40.144.254187.40.144.255254
146187.40.145.0/24187.40.145.1 to 187.40.145.254187.40.145.255254
147187.40.146.0/24187.40.146.1 to 187.40.146.254187.40.146.255254
148187.40.147.0/24187.40.147.1 to 187.40.147.254187.40.147.255254
149187.40.148.0/24187.40.148.1 to 187.40.148.254187.40.148.255254
150187.40.149.0/24187.40.149.1 to 187.40.149.254187.40.149.255254
151187.40.150.0/24187.40.150.1 to 187.40.150.254187.40.150.255254
152187.40.151.0/24187.40.151.1 to 187.40.151.254187.40.151.255254
153187.40.152.0/24187.40.152.1 to 187.40.152.254187.40.152.255254
154187.40.153.0/24187.40.153.1 to 187.40.153.254187.40.153.255254
155187.40.154.0/24187.40.154.1 to 187.40.154.254187.40.154.255254
156187.40.155.0/24187.40.155.1 to 187.40.155.254187.40.155.255254
157187.40.156.0/24187.40.156.1 to 187.40.156.254187.40.156.255254
158187.40.157.0/24187.40.157.1 to 187.40.157.254187.40.157.255254
159187.40.158.0/24187.40.158.1 to 187.40.158.254187.40.158.255254
160187.40.159.0/24187.40.159.1 to 187.40.159.254187.40.159.255254
161187.40.160.0/24187.40.160.1 to 187.40.160.254187.40.160.255254
162187.40.161.0/24187.40.161.1 to 187.40.161.254187.40.161.255254
163187.40.162.0/24187.40.162.1 to 187.40.162.254187.40.162.255254
164187.40.163.0/24187.40.163.1 to 187.40.163.254187.40.163.255254
165187.40.164.0/24187.40.164.1 to 187.40.164.254187.40.164.255254
166187.40.165.0/24187.40.165.1 to 187.40.165.254187.40.165.255254
167187.40.166.0/24187.40.166.1 to 187.40.166.254187.40.166.255254
168187.40.167.0/24187.40.167.1 to 187.40.167.254187.40.167.255254
169187.40.168.0/24187.40.168.1 to 187.40.168.254187.40.168.255254
170187.40.169.0/24187.40.169.1 to 187.40.169.254187.40.169.255254
171187.40.170.0/24187.40.170.1 to 187.40.170.254187.40.170.255254
172187.40.171.0/24187.40.171.1 to 187.40.171.254187.40.171.255254
173187.40.172.0/24187.40.172.1 to 187.40.172.254187.40.172.255254
174187.40.173.0/24187.40.173.1 to 187.40.173.254187.40.173.255254
175187.40.174.0/24187.40.174.1 to 187.40.174.254187.40.174.255254
176187.40.175.0/24187.40.175.1 to 187.40.175.254187.40.175.255254
177187.40.176.0/24187.40.176.1 to 187.40.176.254187.40.176.255254
178187.40.177.0/24187.40.177.1 to 187.40.177.254187.40.177.255254
179187.40.178.0/24187.40.178.1 to 187.40.178.254187.40.178.255254
180187.40.179.0/24187.40.179.1 to 187.40.179.254187.40.179.255254
181187.40.180.0/24187.40.180.1 to 187.40.180.254187.40.180.255254
182187.40.181.0/24187.40.181.1 to 187.40.181.254187.40.181.255254
183187.40.182.0/24187.40.182.1 to 187.40.182.254187.40.182.255254
184187.40.183.0/24187.40.183.1 to 187.40.183.254187.40.183.255254
185187.40.184.0/24187.40.184.1 to 187.40.184.254187.40.184.255254
186187.40.185.0/24187.40.185.1 to 187.40.185.254187.40.185.255254
187187.40.186.0/24187.40.186.1 to 187.40.186.254187.40.186.255254
188187.40.187.0/24187.40.187.1 to 187.40.187.254187.40.187.255254
189187.40.188.0/24187.40.188.1 to 187.40.188.254187.40.188.255254
190187.40.189.0/24187.40.189.1 to 187.40.189.254187.40.189.255254
191187.40.190.0/24187.40.190.1 to 187.40.190.254187.40.190.255254
192187.40.191.0/24187.40.191.1 to 187.40.191.254187.40.191.255254
193187.40.192.0/24187.40.192.1 to 187.40.192.254187.40.192.255254
194187.40.193.0/24187.40.193.1 to 187.40.193.254187.40.193.255254
195187.40.194.0/24187.40.194.1 to 187.40.194.254187.40.194.255254
196187.40.195.0/24187.40.195.1 to 187.40.195.254187.40.195.255254
197187.40.196.0/24187.40.196.1 to 187.40.196.254187.40.196.255254
198187.40.197.0/24187.40.197.1 to 187.40.197.254187.40.197.255254
199187.40.198.0/24187.40.198.1 to 187.40.198.254187.40.198.255254
200187.40.199.0/24187.40.199.1 to 187.40.199.254187.40.199.255254
201187.40.200.0/24187.40.200.1 to 187.40.200.254187.40.200.255254
202187.40.201.0/24187.40.201.1 to 187.40.201.254187.40.201.255254
203187.40.202.0/24187.40.202.1 to 187.40.202.254187.40.202.255254
204187.40.203.0/24187.40.203.1 to 187.40.203.254187.40.203.255254
205187.40.204.0/24187.40.204.1 to 187.40.204.254187.40.204.255254
206187.40.205.0/24187.40.205.1 to 187.40.205.254187.40.205.255254
207187.40.206.0/24187.40.206.1 to 187.40.206.254187.40.206.255254
208187.40.207.0/24187.40.207.1 to 187.40.207.254187.40.207.255254
209187.40.208.0/24187.40.208.1 to 187.40.208.254187.40.208.255254
210187.40.209.0/24187.40.209.1 to 187.40.209.254187.40.209.255254
211187.40.210.0/24187.40.210.1 to 187.40.210.254187.40.210.255254
212187.40.211.0/24187.40.211.1 to 187.40.211.254187.40.211.255254
213187.40.212.0/24187.40.212.1 to 187.40.212.254187.40.212.255254
214187.40.213.0/24187.40.213.1 to 187.40.213.254187.40.213.255254
215187.40.214.0/24187.40.214.1 to 187.40.214.254187.40.214.255254
216187.40.215.0/24187.40.215.1 to 187.40.215.254187.40.215.255254
217187.40.216.0/24187.40.216.1 to 187.40.216.254187.40.216.255254
218187.40.217.0/24187.40.217.1 to 187.40.217.254187.40.217.255254
219187.40.218.0/24187.40.218.1 to 187.40.218.254187.40.218.255254
220187.40.219.0/24187.40.219.1 to 187.40.219.254187.40.219.255254
221187.40.220.0/24187.40.220.1 to 187.40.220.254187.40.220.255254
222187.40.221.0/24187.40.221.1 to 187.40.221.254187.40.221.255254
223187.40.222.0/24187.40.222.1 to 187.40.222.254187.40.222.255254
224187.40.223.0/24187.40.223.1 to 187.40.223.254187.40.223.255254
225187.40.224.0/24187.40.224.1 to 187.40.224.254187.40.224.255254
226187.40.225.0/24187.40.225.1 to 187.40.225.254187.40.225.255254
227187.40.226.0/24187.40.226.1 to 187.40.226.254187.40.226.255254
228187.40.227.0/24187.40.227.1 to 187.40.227.254187.40.227.255254
229187.40.228.0/24187.40.228.1 to 187.40.228.254187.40.228.255254
230187.40.229.0/24187.40.229.1 to 187.40.229.254187.40.229.255254
231187.40.230.0/24187.40.230.1 to 187.40.230.254187.40.230.255254
232187.40.231.0/24187.40.231.1 to 187.40.231.254187.40.231.255254
233187.40.232.0/24187.40.232.1 to 187.40.232.254187.40.232.255254
234187.40.233.0/24187.40.233.1 to 187.40.233.254187.40.233.255254
235187.40.234.0/24187.40.234.1 to 187.40.234.254187.40.234.255254
236187.40.235.0/24187.40.235.1 to 187.40.235.254187.40.235.255254
237187.40.236.0/24187.40.236.1 to 187.40.236.254187.40.236.255254
238187.40.237.0/24187.40.237.1 to 187.40.237.254187.40.237.255254
239187.40.238.0/24187.40.238.1 to 187.40.238.254187.40.238.255254
240187.40.239.0/24187.40.239.1 to 187.40.239.254187.40.239.255254
241187.40.240.0/24187.40.240.1 to 187.40.240.254187.40.240.255254
242187.40.241.0/24187.40.241.1 to 187.40.241.254187.40.241.255254
243187.40.242.0/24187.40.242.1 to 187.40.242.254187.40.242.255254
244187.40.243.0/24187.40.243.1 to 187.40.243.254187.40.243.255254
245187.40.244.0/24187.40.244.1 to 187.40.244.254187.40.244.255254
246187.40.245.0/24187.40.245.1 to 187.40.245.254187.40.245.255254
247187.40.246.0/24187.40.246.1 to 187.40.246.254187.40.246.255254
248187.40.247.0/24187.40.247.1 to 187.40.247.254187.40.247.255254
249187.40.248.0/24187.40.248.1 to 187.40.248.254187.40.248.255254
250187.40.249.0/24187.40.249.1 to 187.40.249.254187.40.249.255254
251187.40.250.0/24187.40.250.1 to 187.40.250.254187.40.250.255254
252187.40.251.0/24187.40.251.1 to 187.40.251.254187.40.251.255254
253187.40.252.0/24187.40.252.1 to 187.40.252.254187.40.252.255254
254187.40.253.0/24187.40.253.1 to 187.40.253.254187.40.253.255254
255187.40.254.0/24187.40.254.1 to 187.40.254.254187.40.254.255254
256187.40.255.0/24187.40.255.1 to 187.40.255.254187.40.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses